# whois查询

## 【简介】

本接口基于[phpwhois](http://phpwhois.org)开发，接入开放平台

[点击这里](https://open.wjlo.cc/whois/reg) 申请该项目的appid

## &#x20;请求

<mark style="color:blue;">`GET`</mark> `https://open.wjlo.cc/whois/1.0/get`

#### Path Parameters

| Name   | Type   | Description |
| ------ | ------ | ----------- |
| appid  | string | 开放平台应用appid |
| domain | string | 所要查询的域名     |

{% tabs %}
{% tab title="200 " %}

```
{
"status": "200",
"domain": "wjlnb.com",
"content": "Domain Name: wjlnb.com\r\nRegistry Domain ID: 2368576621_DOMAIN_COM-VRSN\r\nRegistrar WHOIS Server: whois.dnspod.com\r\nRegistrar URL: https:\/\/www.dnspod.com\r\nUpdated Date: 2021-04-13 12:33:17\r\nCreation Date: 2019-03-12 16:43:06\r\nRegistry Expiry Date: 2022-03-12 16:43:06\r\nRegistrar: DNSPod, Inc.\r\nRegistrar IANA ID: 1697\r\nRegistrar Abuse Contact Email: abuse@dnspod.com\r\nRegistrar Abuse Contact Phone: +86.95716\r\nDomain Status: ok https:\/\/www.icann.org\/epp#ok\r\nRegistry Registrant ID: REDACTED FOR PRIVACY\r\nRegistrant Name: REDACTED FOR PRIVACY\r\nRegistrant Organization: REDACTED FOR PRIVACY\r\nRegistrant Street: REDACTED FOR PRIVACY\r\nRegistrant City: REDACTED FOR PRIVACY\r\nRegistrant State\/Province: ning xia hui zu zi zhi qu\r\nRegistrant Postal Code: REDACTED FOR PRIVACY\r\nRegistrant Country: CN\r\nRegistrant Phone: REDACTED FOR PRIVACY\r\nRegistrant Phone Ext: REDACTED FOR PRIVACY\r\nRegistrant Fax: REDACTED FOR PRIVACY\r\nRegistrant Fax Ext: REDACTED FOR PRIVACY\r\nRegistrant Email: Select Contact Domain Holder link at https:\/\/whois.cloud.tencent.com\/domain?domain=wjlnb.com\r\nRegistry Admin ID: REDACTED FOR PRIVACY\r\nAdmin Name: REDACTED FOR PRIVACY\r\nAdmin Organization: REDACTED FOR PRIVACY\r\nAdmin Street: REDACTED FOR PRIVACY\r\nAdmin City: REDACTED FOR PRIVACY\r\nAdmin State\/Province: REDACTED FOR PRIVACY\r\nAdmin Postal Code: REDACTED FOR PRIVACY\r\nAdmin Country: REDACTED FOR PRIVACY\r\nAdmin Phone: REDACTED FOR PRIVACY\r\nAdmin Phone Ext: REDACTED FOR PRIVACY\r\nAdmin Fax: REDACTED FOR PRIVACY\r\nAdmin Fax Ext: REDACTED FOR PRIVACY\r\nAdmin Email: Select Contact Domain Holder link at https:\/\/whois.cloud.tencent.com\/domain?domain=wjlnb.com\r\nRegistry Tech ID: REDACTED FOR PRIVACY\r\nTech Name: REDACTED FOR PRIVACY\r\nTech Organization: REDACTED FOR PRIVACY\r\nTech Street: REDACTED FOR PRIVACY\r\nTech State\/Province: REDACTED FOR PRIVACY\r\nTech Postal Code: REDACTED FOR PRIVACY\r\nTech Country: REDACTED FOR PRIVACY\r\nTech Phone: REDACTED FOR PRIVACY\r\nTech Phone Ext: REDACTED FOR PRIVACY\r\nTech Fax: REDACTED FOR PRIVACY\r\nTech Fax Ext: REDACTED FOR PRIVACY\r\nTech Email: Select Contact Domain Holder link at https:\/\/whois.cloud.tencent.com\/domain?domain=wjlnb.com\r\nRegistry Billing ID: REDACTED FOR PRIVACY\r\nBilling Name: REDACTED FOR PRIVACY\r\nBilling Organization: REDACTED FOR PRIVACY\r\nBilling Street: REDACTED FOR PRIVACY\r\nBilling City: REDACTED FOR PRIVACY\r\nBilling State\/Province: REDACTED FOR PRIVACY\r\nBilling Postal Code: REDACTED FOR PRIVACY\r\nBilling Country: REDACTED FOR PRIVACY\r\nBilling Phone: REDACTED FOR PRIVACY\r\nBilling Email: Select Contact Domain Holder link at https:\/\/whois.cloud.tencent.com\/domain?domain=wjlnb.com\r\nName Server:NS3.DNSV2.COM\r\nName Server:NS4.DNSV2.COM\r\nDNSSEC: unsigned\r\nURL of the ICANN WHOIS Data Problem Reporting System: http:\/\/wdprs.internic.net\r\n>>>Last update of WHOIS database: 2021-07-26T02:00:00Z <<<\r\n\n\r\nFor more information on Whois status codes, please visit https:\/\/icann.org\/epp\r\n\n\r\nThe data in this whois database is provided to you for information\npurposes only, that is, to assist you in obtaining information about or\nrelated to a domain name registration record. We make this information\navailable \"as is,\" and do not guarantee its accuracy. By submitting a\nwhois query, you agree that you will use this data only for lawful\npurposes and that, under no circumstances will you use this data to: (1)\nenable high volume, automated, electronic processes that stress or load\nthis whois database system providing you this information; or (2) allow,\nenable, or otherwise support the transmission of mass unsolicited,\ncommercial advertising or solicitations via direct mail, electronic\nmail, or by telephone. The compilation, repackaging, dissemination or\nother use of this data is expressly prohibited without prior written\nconsent from us.\n\r" 
}
```

{% endtab %}

{% tab title="403  请求中找不到appid" %}

```
{
"status": "403",
"domain": "error",
"content": "error" 
}
```

{% endtab %}

{% tab title="404  找不到appid" %}

```
{
"status": "404",
"domain": "error", 
"content": "error" 
}
```

{% endtab %}
{% endtabs %}

## 【返回内容】

| 参数      | 说明     |
| ------- | ------ |
| status  | 提示请求状态 |
| domain  | 查询的域名  |
| content | 查询结果   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wjlo.cc/open/openwhois.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
